package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HelpText;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HelpTextMapper")
public interface HelpTextMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HelpText record);

    HelpText selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HelpText record);

    List<HelpText> queryAllHelpText(HelpText record);

    List<HelpText> queryHelpTextByPage(Map<String, Object> parameter);

    int delete(String id);

    HelpText queryHelpText(HelpText record);

    List<HelpText> query(HelpText record);
}

